/*****************************************************************************
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *~                             IR Kernel                                    ~
 *~                         Copyright(C) 1993                                ~
 *~                       Software Kinetics Ltd.                             ~
 *~                        All Rights Reserved                               ~
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Copyright Software Kinetics Ltd.
 * 
 * Software Kinetics Ltd. has granted a licence of this software to
 * National Library of Canada.
 *
 * The National Library of Canada grants to the user a royalty-free
 * non-exclusive licence in perpetuity to use, modify, improve,
 * reproduce and sell the software.
 *
 * The software is provided to the user "as is" without warranty of
 * any kind.  Neither Software Kinetics Ltd. nor the National Library
 * of Canada warrants,guarantees or makes any representation regarding
 * the use, or the results of the use of the software in terms of
 * accuracy,reliability, or otherwise.  The entire risk as results and
 * performance of the software is assumed by the user. Neither
 * Software Kinetics Ltd. nor the National Library of Canada shall be
 * liable for any direct, indirect, consequential or incidental
 * damages arising out the use of software.
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
 *
 * Header:  tpbbox.h
 *
 * Purpose: tp black box program header file.
 *
 * Index:   section number
 *          section description
 *
 * Version: 93/05/12
 *          Benjamin Yen
 *          reason for change
 *
 *  Notes:
 *
 *****************************************************************************/
extern int ACCESS_CONTROL_REQUIRED, RESOURCE_CONTROL_REQUIRED;

extern AsnInt INIT_REFERENCE_ID_LENGTH;
extern char *INIT_REFERENCE_ID;
extern AsnInt SEARCH_REFERENCE_ID_LENGTH;
extern char *SEARCH_REFERENCE_ID;
extern AsnInt PRESENT_REFERENCE_ID_LENGTH;
extern char *PRESENT_REFERENCE_ID;
extern AsnInt DELETE_REFERENCE_ID_LENGTH;
extern char *DELETE_REFERENCE_ID;
extern AsnInt RSRPT_REFERENCE_ID_LENGTH;
extern char *RSRPT_REFERENCE_ID;
